# zsh-config
This is my zsh config made from scratch to avoid using the overblown OhMyZsh config. It's made to work with modules that are sourced from ./.zshrc.d to keep particular blocks of code separate, with .zshrc\_local being the local configuration of the machine.

# Features

- Plugins autoloading (i guess? currently it just sources zsh-syntax-highlight)
- (somewhat) colored autocompletion menu
- Aliases of little to none practical value (as of yet)
- *Humane* default bindings (whose bright idea was it to implement HOME and END button behaviour as ctrl-a and ctrl-e?)
- ...And potentially much more

# License

```
Copyright © 2022 Yessiest

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
```
